| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages # DOMDocumentTraversal.hpp File Reference Include dependency graph for DOMDocumentTraversal.hpp: This graph shows which files directly or indirectly include this file: Go to the source code of this file.
## Classes
class | DOMDocumentTraversal
| `DOMDocumentTraversal` contains methods that create `DOMNodeIterators` and `DOMTreeWalkers` to traverse a node and its children in document order (depth first, pre-order traversal, which is equivalent to the order in which the start tags occur in the text representation of the document). More...

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.